Download it now!
Bug 59515 - paste attempt raises 'unknown source' dialog
Summary: paste attempt raises 'unknown source' dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium major
Assignee: Stephan Bergmann
URL:
Whiteboard: target:4.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-01-17 13:01 UTC by Noel Power
Modified: 2013-01-22 10:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2013-01-17 13:01:05 UTC
follow the steps in of the second & third problem descriptions in comment 0 of issue #56098, this results in the 'unknown source' dialog being raised
Comment 1 Noel Power 2013-01-17 13:01:42 UTC
marking as regression, note: this is on master ( not 4.0 )
Comment 2 Winfried Donkers 2013-01-18 06:45:10 UTC
I confirm this on master of January 17, 2013.

FYI: during testing of the fix for bug 56098 (December 22/23, 2012) on a then current master set, this bug was not yet there.
Comment 3 Noel Power 2013-01-18 10:42:40 UTC
I'm going to take a look at least at this
Comment 4 Noel Power 2013-01-18 15:06:48 UTC
I'm pretty sure that http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fe852386c9450014f84910b0a282d684f40b56a

is the culprit
Comment 5 Not Assigned 2013-01-22 10:04:48 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36f3e5f3180c2d2cb104ba2b0c4b8c3249822f42

fdo#59515: Typo CLIPBOARD -> PRIMARY



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.